<div class="card__content">
  <% if roles_is_admin? roles %>
    <%= t("report.have_items_label",total_count: @total_count) %>
  <% end %>
  <% if @results.any? %>
    <div class="card --table">
      <table class="ui table striped unstackable"> 
        <thead>
          <tr>
            <% if roles_is_admin? roles %>
              <th rowspan="2" class="center aligned one wide"><%= t('report.number_label') %></th>
              <th rowspan="2" class="center aligned one wide"><%= t('report.hos_code_label') %></th>
              <th rowspan="2" class="center aligned four wide"><%= t('report.hos_name_label') %></th>
            <% end %>
            <th colspan="2" class="center aligned four wide"><%= t('report.assessment_label') %></th>
            <th colspan="3" class="center aligned four wide"><%= t('report.count_send_nhso_label') %></th>
            <% if roles_is_site? roles %>
              <th rowspan="2" class="center aligned two wide"><%= t('report.process_date_label') %></th>
            <% end %>
          </tr>
          <tr>
            <th class="center aligned"><%= t('report.count_patients_label') %></th>
            <th class="center aligned"><%= t('report.item_label') %></th>
            <th class="center aligned"><%= t('report.wait_label') %></th>
            <th class="center aligned"><%= t('report.pass_label') %></th> 
            <th class="center aligned"><%= t('report.fail_label') %></th> 
          </tr>
        </thead>
        <tbody>
          <% (@results || []).each_with_index  do |result, index| %>
            <tr>
              <% if roles_is_admin? roles %>
                <td class="center aligned">
                  <%= number_index_of_page index, @searchable.page %> 
                </td>
                <td class="center aligned">
                  <%= result&.hos_code %> 
                </td>
                <td class="aligned">
                  <%= result&.hos_name %> 
                </td>
              <% end %>
              <td class="center aligned">
                <%= result&.count_patients %> 
              </td>
              <td class="center aligned">
                <%= link_to parameter_reports_assessment_patients_details_path(
                  :roles => roles,
                  :report_type => 'assessment',
                  :format => 'html',
                  :searchable => @searchable,
                  :hospital_select => result&.hos_code
                ) do %>
                  <%= result&.count_assessment %>
                <% end %>
              </td>
              <td class="center aligned">
                <%= link_to parameter_reports_assessment_patients_details_path(
                  :roles => roles,
                  :report_type => 'wait',
                  :format => 'html',
                  :searchable => @searchable,
                  :hospital_select => result&.hos_code
                ) do %>
                  <%= result&.count_wait %>
                <% end %>
              </td>
              <td class="center aligned">
                <%= link_to parameter_reports_assessment_patients_details_path(
                  :roles => roles,
                  :report_type => 'pass',
                  :format => 'html',
                  :searchable => @searchable,
                  :hospital_select => result&.hos_code
                ) do %>
                  <%= result&.count_pass %>
                <% end %>
              </td>
              <td class="center aligned">
                <%= link_to parameter_reports_assessment_patients_details_path(
                  :roles => roles,
                  :report_type => 'fail',
                  :format => 'html',
                  :searchable => @searchable,
                  :hospital_select => result&.hos_code
                ) do %>
                  <%= result&.count_fail %>
                <% end %>
              </td>
              <% if roles_is_site? roles %>
                <td class="center aligned">
                    <%= revert_date result&.process_date %>
                </td>
              <% end %>
            </tr>
          <% end %>
        </tbody>
      </table>
      <% if roles_is_admin? roles %>
        <div class="ui main container reports">
          <div class="card__footer">
            <div class="pagination">
              <%= paginate @results %>
            </div>
            <div class="btn-group --right">
              <%= link_to reports_admin_assessment_patients_path(
                :from_date => revert_date(@searchable&.from_date),
                :to_date => revert_date(@searchable&.to_date),
                :date_type => @searchable&.date_type,
                :hospital => @searchable&.hospital,
                :hospital_destination => @searchable&.hospital_destination,
                :template => @searchable&.template,
                :report_type => params[:report_type],
                :case_manager => @searchable&.case_manager,
                :destination => @searchable&.destination,
                :htype => @searchable&.htype,
                :token => @searchable&.token,
                :format => "xlsx"
              ), class: "ui button --submit" do %>
                <i class="file excel icon"></i> <%= t('report.export_excel_label') %>
              <% end %>
            </div>
          </div>
        </div>
      <% end %>
    </div>
  <% else %>
    <%= render 'reports/no_data_to_display' %>
  <% end %>
</div>